clang 10.0.0git

Public Member Functions | List of all members
clang::format::UnwrappedLineFormatter Class Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Format/UnwrappedLineFormatter.h"`

## Public Member Functions
| UnwrappedLineFormatter (ContinuationIndenter *Indenter, WhitespaceManager *Whitespaces, const FormatStyle &Style, const AdditionalKeywords &Keywords, const SourceManager &SourceMgr, FormattingAttemptStatus *Status)
unsigned | format (const SmallVectorImpl< AnnotatedLine *> &Lines, bool DryRun=false, int AdditionalIndent=0, bool FixBadIndentation=false, unsigned FirstStartColumn=0, unsigned NextStartColumn=0, unsigned LastStartColumn=0)
| Format the current block and return the penalty. More...

## Detailed Description

Definition at line 28 of file UnwrappedLineFormatter.h.

## Constructor & Destructor Documentation

## ◆ UnwrappedLineFormatter()

clang::format::UnwrappedLineFormatter::UnwrappedLineFormatter | ( | ContinuationIndenter * | Indenter,
|  | WhitespaceManager * | Whitespaces,
|  | const FormatStyle & | Style,
|  | const AdditionalKeywords & | Keywords,
|  | const SourceManager & | SourceMgr,
|  | FormattingAttemptStatus * | Status
| ) |  |
| inline

Definition at line 30 of file UnwrappedLineFormatter.h.

References format().

## Member Function Documentation

## ◆ format()

unsigned clang::format::UnwrappedLineFormatter::format | ( | const SmallVectorImpl< AnnotatedLine *> & | Lines,
|  | bool | DryRun = `false`,
|  | int | AdditionalIndent = `0`,
|  | bool | FixBadIndentation = `false`,
|  | unsigned | FirstStartColumn = `0`,
|  | unsigned | NextStartColumn = `0`,
|  | unsigned | LastStartColumn = `0`
| ) |  |

Format the current block and return the penalty.

Definition at line 1067 of file UnwrappedLineFormatter.cpp.

Referenced by UnwrappedLineFormatter().

The documentation for this class was generated from the following files:

- lib/Format/UnwrappedLineFormatter.h
- lib/Format/UnwrappedLineFormatter.cpp